cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcel Kinard (JIRA)" <>
Subject [jira] [Created] (CB-7537) have CLI not pin to patch releases of platforms
Date Fri, 12 Sep 2014 18:05:34 GMT
Marcel Kinard created CB-7537:

             Summary: have CLI not pin to patch releases of platforms
                 Key: CB-7537
             Project: Apache Cordova
          Issue Type: Improvement
          Components: CordovaLib
            Reporter: Marcel Kinard
            Priority: Minor

During the 3.6 release, we ran in to issues that required bumping the patch version of the
platforms (major.minor.patch). As that propagated through our tools it also required changes
to cordova-lib/cordova-lib/src/cordova/platforms.js, and also to cordova-cli/package.json#dependencies.cordova-lib.

It would be nice is if platforms.js could reference "3.6.x" instead of "3.6.0", and then if
any patch versions of the platforms are available (i.e., "3.6.1") then the cli could download
those without requiring any changes to platforms.js and cascading components.

This message was sent by Atlassian JIRA

View raw message